<template>
  <div class="flex justify-center absolute inset-x-0 top-20">
    <div
      class="w-5/6 bg-white rounded-lg border border-gray-200 shadow-md dark:bg-gray-800 dark:border-gray-700"
    >
      <div class="flex justify-end px-4 pt-4">
        <button
          id="deconnexion"
          class="bg-orange-book active:bg-orange-book uppercase text-white font-bold hover:shadow-md shadow text-xs px-4 py-2 rounded outline-none focus:outline-none sm:mr-2 mb-1 ease-linear transition-all duration-150"
          type="button"
          v-on:click="logOut()"
        >
          Déconnexion
        </button>
      </div>
      <div class="flex flex-col items-center pb-10">
        <img
          class="mb-3 w-24 h-24 rounded-full shadow-lg"
          alt="..."
          :src="
            user.photoURL
              ? user.photoURL
              : 'https://akns-images.eonline.com/eol_images/Entire_Site/2021619/rs_1200x1200-210719101259-1200-kanye-west.cm.71921.jpg?fit=around%7C1080:1080&output-quality=90&crop=1080:1080;center,top'
          "
        />
        <h5 class="mb-1 text-xl font-medium text-gray-900 dark:text-white">
          {{ user?.displayName }}
        </h5>

        <div
          class="p-10 grid grid-cols-2 sm:grid-cols-3 md:grid-cols-4 lg:grid-cols-4 xl:grid-cols-4 gap-4 content-center"
        >
          <div class="p-3 text-center">
            <span class="text-xl font-bold block uppercase tracking-wide text-blueGray-600">{{
              user.nbRead
            }}</span
            ><span class="text-sm text-blueGray-400">Livres lus</span>
          </div>
          <div class="p-3 text-center">
            <span class="text-xl font-bold block uppercase tracking-wide text-blueGray-600">{{
              user.nbWish
            }}</span
            ><span class="text-sm text-blueGray-400">Envies</span>
          </div>
          <div class="p-3 text-center">
            <span class="text-xl font-bold block uppercase tracking-wide text-blueGray-600">{{
              user.nbFav
            }}</span
            ><span class="text-sm text-blueGray-400">Favoris</span>
          </div>
          <div class="p-3 text-center">
            <span class="text-xl font-bold block uppercase tracking-wide text-blueGray-600">{{
              user.nbNotes
            }}</span
            ><span class="text-sm text-blueGray-400">Notes</span>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { getCurrentUser, isConnected, signOut } from "../services/authenticationService";
import { getStatUser } from "../services/firestoreService";
export default {
  name: "MyProfile",
  data() {
    return {
      user: null,
      userIsCo: false,
    };
  },
  async created() {
    this.user = await getCurrentUser();
    this.userIsCo = await isConnected();
    if (this.userIsCo) {
      this.user = await getStatUser(this.user);
    } else {
      this.$router.push("/");
    }
  },

  methods: {
    logOut() {
      signOut();
      location.reload();
    },
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
